package com.citygis.server.manage.domain.constant;

public interface Constant {
    /**
     * 导入编号最大长度限制
     */
    Integer MAX_SIZE_CODE_NAME = 100;
    /**
     * 导入标识码最大长度限制
     */
    Integer MAX_SIZE_ENTITY_LINK_CODE = 100;
    /**
     * 导入备注最大长度限制
     */
    Integer MAX_SIZE_REMARK = 1000;
    /**
     * 导入列表最大长度限制
     */
    Integer MAX_SIZE_LIST = 10;
    /**
     * 导入列表最大长度限制
     */
    Integer STORAGE_SIZE = 30;
    interface Type {
        /**
         * insert类型
         */
        Integer TYPE_INSERT = 0;

        /**
         * update类型
         */
        Integer TYPE_UPDATE = 1;

        /**
         * 顶级level
         */
        Integer TYPE_LEVEL_ROOT = 1;

        /**
         * 最大level值
         */
        Integer TYPE_LEVEL_DEEPEST = 5;

        /**
         * 最大分类编号长度
         */
        Integer TYPE_CODE_LENGTH_LIMIT = 100;

        /**
         * 最大分类名称长度
         */
        Integer TYPE_NAME_LENGTH_LIMIT = 100;
    }
}
