package com.citygis.server.manage.domain.controller.vo.template;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@ApiModel(value = "模板List回参", description = "适用于List接口回参")
public class TemplateListVO {
    @ApiModelProperty(value = "id", required = true, example = "20230590211")
    private Long id;
    @ApiModelProperty(value = "名称", required = true, example = "张三")
    private String name;
    @ApiModelProperty(value = "编号", required = true, example = "001")
    private String code;
    @ApiModelProperty(value = "年龄", required = false, example = "25")
    private Integer age;
}
